curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list \
--header 'x-auth-token: <api-key>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list"
headers = {
"x-client-id": "<x-client-id>",
"x-auth-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-auth-token': '<api-key>'}
};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>",
"x-client-id: <x-client-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list")
.header("x-client-id", "<x-client-id>")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"code_no": "<string>",
"status": "<string>",
"payment_methods": [
"ALIPAY"
],
"currency": "<string>",
"amount_mode": "FIXED",
"amount": "<string>",
"store_name": "<string>",
"city": "<string>",
"extension": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"updated_time": "2023-11-07T05:31:56Z"
}
],
"total_items": 1,
"total_pages": 1
}{
"code": "<string>",
"message": "<string>",
"type": "static_qr_error"
}List static QR codes
List codes in the target account. The collection is returned in data; total_items is the total number of matching codes and total_pages is the total number of pages.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list \
--header 'x-auth-token: <api-key>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list"
headers = {
"x-client-id": "<x-client-id>",
"x-auth-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-auth-token': '<api-key>'}
};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>",
"x-client-id: <x-client-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list")
.header("x-client-id", "<x-client-id>")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/static_qrs/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"code_no": "<string>",
"status": "<string>",
"payment_methods": [
"ALIPAY"
],
"currency": "<string>",
"amount_mode": "FIXED",
"amount": "<string>",
"store_name": "<string>",
"city": "<string>",
"extension": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"updated_time": "2023-11-07T05:31:56Z"
}
],
"total_items": 1,
"total_pages": 1
}{
"code": "<string>",
"message": "<string>",
"type": "static_qr_error"
}Authorizations
The API token for login provided by UQPAY.
Headers
The API client id generated by UQPAY
The authorized connected sub-account to manage. Omit or send an empty value to use the credential account. Use the same target account for all operations on a code. Do not send the credential account ID as an explicit sub-account.
Query Parameters
Exact case-sensitive match; preserve leading zeros.
1 - 64^[A-Za-z0-9][A-Za-z0-9_-]{0,63}$Send a positive decimal integer once. Empty, fractional, and negative values are rejected.
x >= 1Maximum number of codes per page. Send a positive decimal integer once.
1 <= x <= 100Filter by payment currency.
One method, or 1–4 distinct values separated by commas: ALIPAY, WECHAT, PAYNOW, UNIONPAY. Case-sensitive, without spaces. A code matches if it includes any selected method.
Creation time lower bound. Supply both bounds in YYYY-MM-DDTHH:mm:ss+08:00 format. Start must be earlier than end; maximum range is 30 days. URL-encode the timezone plus sign as %2B.
^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}\+08:00$Creation time upper bound. Supply both bounds in YYYY-MM-DDTHH:mm:ss+08:00 format. Start must be earlier than end; maximum range is 30 days. URL-encode the timezone plus sign as %2B.
^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}\+08:00$
